
%define rel 2

%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%define release %mkrel %rel

%define nameorig xcircuit
%define version 3.3.29

Summary: Electronic circuit schematic drawing program
Name: %{nameorig}-tcl
Version: %{version}
Release: %{release}
License: GPL
Group: Sciences/Other
Source0: 	%{nameorig}-%{version}.tar.bz2
Source1:	%{nameorig}.16.png
Source2:	%{nameorig}.32.png
Source3:	%{nameorig}.48.png
URL: http://xcircuit.ece.jhu.edu/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: tcl >= 8.4.11 tk >= 8.4.11
BuildRequires: libxpm-devel
BuildRequires: X11-devel
Obsoletes: %{nameorig} %{nameorig}-python
Provides: %{nameorig} %{nameorig}-python

%description
Xcircuit is a general-purpose drawing program and also a specific-purpose
CAD program for circuit schematic drawing and schematic capture.  Output
is PostScript.  TCL scripting is available.

%prep
%setup -q -n %{nameorig}-%{version}

%build
%configure --with-tcl --enable-asg
%make tcl

%install
rm -rf $RPM_BUILD_ROOT
make install-tcl DESTDIR=$RPM_BUILD_ROOT

# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="More Applications/Sciences/Electricity" \
title="XCircuit" \
longtitle="Electronic circuit schematic drawing program" \
command="/usr/bin/xcircuit" needs="X11" \
icon="%{name}.png"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir}
cp %{SOURCE1}  $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
cp %{SOURCE2}  $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp %{SOURCE3}  $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

chmod 644 $RPM_BUILD_ROOT%{_libdir}/xcircuit-3.3/console.tcl

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT README README.notes README.ISOLatin2 lib/pixmaps/xcircuit.xpm
%{_bindir}/xcircuit
%{_libdir}/xcircuit-3.3
%{_iconsdir}/%{name}.*
%{_miconsdir}/%{name}.*
%{_liconsdir}/%{name}.*
%{_menudir}/%{name}

%changelog
* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.3.29-2mdk
- Fix BuildRequires

* Sun Jul 24 2005 Couriousous <couriousous@mandriva.org> 3.3.29-1mdk
- 3.3.29
- From: Torbjorn Turpeinen <tobbe@nyvalls.se>:
	- 3.3.25
	- Built for cooker

* Fri Apr 01 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.3.12-1.mdk10.2.thac
- Rebuilt for Mandrake 10.2
- Updated to latest version

* Thu Dec 16 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.3.4-1.mdk10.1.thac
- Updated to latest version

* Sat Dec 04 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.3.2-1.mdk10.1.thac
- Updated to latest version

* Wed Oct 26 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.3.0-2.mdk10.1.thac
- 2.mdk10.1.thac
- Where "2" is the release of the package, "mdk" is the distro, "10.1" is the release of the distro, and "thac" is the Torbjorn Turpeinen extension.

* Fri Oct 08 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.3.0-1thac
- Updated to latest version

* Wed Sep 29 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.27-1thac
- Updated to latest version

* Tue Sep 14 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.26-1thac
- Updated to latest version

* Wed Sep 01 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.24-1thac
- Updated to latest version

* Tue Jun 21 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.22-1thac
- Updated to latest version

* Thu Jun 03 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.21-1thac
- Updated to latest version

* Sun May 02 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.16-1thac
- Updated to latest version

* Fri Apr 23 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.15-2thac
- Rebuilt for Mandrake 10.0 official.

* Tue Apr 05 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.2.15-1thac
- Updated to latest version

* Fri Mar 12 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.2.14-1thac
- Built for Mandrake 9.2
